From c3f485c54bf8f19e924f2f855a2924e8a783c5e3 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 20 2020 07:52:05 +0000
Subject: [PATCH 307/2232] Simplify variable name of receiver in C++ shims


Even without $, `self` can't collide with any of the variable names the
user has given to the other function parameters.

---

diff --git a/gen/write.rs b/gen/write.rs
index 8f3ecc0..9ab6e38 100644
--- a/gen/write.rs
+++ b/gen/write.rs
@@ -374,7 +374,7 @@ fn write_cxx_function_shim(out: &mut OutFile, efn: &ExternFn, types: &Types) {
         if receiver.mutability.is_none() {
             write!(out, "const ");
         }
-        write!(out, "{} *self$", receiver.ident);
+        write!(out, "{} *self", receiver.ident);
     }
     for (i, arg) in efn.args.iter().enumerate() {
         if i > 0 || efn.receiver.is_some() {
@@ -442,7 +442,7 @@ fn write_cxx_function_shim(out: &mut OutFile, efn: &ExternFn, types: &Types) {
     }
     match &efn.receiver {
         None => write!(out, "{}$(", efn.ident),
-        Some(_) => write!(out, "(self$->*{}$)(", efn.ident),
+        Some(_) => write!(out, "(self->*{}$)(", efn.ident),
     }
     for (i, arg) in efn.args.iter().enumerate() {
         if i > 0 {
@@ -541,7 +541,7 @@ fn write_rust_function_decl_impl(
         if receiver.mutability.is_none() {
             write!(out, "const ");
         }
-        write!(out, "{} &self$", receiver.ident);
+        write!(out, "{} &self", receiver.ident);
         needs_comma = true;
     }
     for arg in &sig.args {

